<?php
$tdatadescription = array();
$tdatadescription[".searchableFields"] = array();
$tdatadescription[".ShortName"] = "description";
$tdatadescription[".OwnerID"] = "";
$tdatadescription[".OriginalTable"] = "description";


$tdatadescription[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatadescription[".originalPagesByType"] = $tdatadescription[".pagesByType"];
$tdatadescription[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatadescription[".originalPages"] = $tdatadescription[".pages"];
$tdatadescription[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"search\":\"search\"}" );
$tdatadescription[".originalDefaultPages"] = $tdatadescription[".defaultPages"];

//	field labels
$fieldLabelsdescription = array();
$fieldToolTipsdescription = array();
$pageTitlesdescription = array();
$placeHoldersdescription = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsdescription["English"] = array();
	$fieldToolTipsdescription["English"] = array();
	$placeHoldersdescription["English"] = array();
	$pageTitlesdescription["English"] = array();
	$fieldLabelsdescription["English"]["id"] = "Id";
	$fieldToolTipsdescription["English"]["id"] = "";
	$placeHoldersdescription["English"]["id"] = "";
	$fieldLabelsdescription["English"]["description"] = "Description";
	$fieldToolTipsdescription["English"]["description"] = "";
	$placeHoldersdescription["English"]["description"] = "";
	if (count($fieldToolTipsdescription["English"]))
		$tdatadescription[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="sinhala")
{
	$fieldLabelsdescription["sinhala"] = array();
	$fieldToolTipsdescription["sinhala"] = array();
	$placeHoldersdescription["sinhala"] = array();
	$pageTitlesdescription["sinhala"] = array();
	$fieldLabelsdescription["sinhala"]["id"] = "Id";
	$fieldToolTipsdescription["sinhala"]["id"] = "";
	$placeHoldersdescription["sinhala"]["id"] = "";
	$fieldLabelsdescription["sinhala"]["description"] = "විස්තරය";
	$fieldToolTipsdescription["sinhala"]["description"] = "";
	$placeHoldersdescription["sinhala"]["description"] = "";
	if (count($fieldToolTipsdescription["sinhala"]))
		$tdatadescription[".isUseToolTips"] = true;
}


	$tdatadescription[".NCSearch"] = true;



$tdatadescription[".shortTableName"] = "description";
$tdatadescription[".nSecOptions"] = 0;

$tdatadescription[".mainTableOwnerID"] = "";
$tdatadescription[".entityType"] = 0;
$tdatadescription[".connId"] = "allo_at_localhost";


$tdatadescription[".strOriginalTableName"] = "description";

	



$tdatadescription[".showAddInPopup"] = false;

$tdatadescription[".showEditInPopup"] = false;

$tdatadescription[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadescription[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatadescription[".listAjax"] = true;
//	temporary
$tdatadescription[".listAjax"] = false;

	$tdatadescription[".audit"] = true;

	$tdatadescription[".locking"] = true;


$pages = $tdatadescription[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadescription[".edit"] = true;
	$tdatadescription[".afterEditAction"] = 1;
	$tdatadescription[".closePopupAfterEdit"] = 1;
	$tdatadescription[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadescription[".add"] = true;
$tdatadescription[".afterAddAction"] = 1;
$tdatadescription[".closePopupAfterAdd"] = 1;
$tdatadescription[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadescription[".list"] = true;
}



$tdatadescription[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadescription[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadescription[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadescription[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadescription[".printFriendly"] = true;
}



$tdatadescription[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadescription[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadescription[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadescription[".isUseAjaxSuggest"] = true;

$tdatadescription[".rowHighlite"] = true;



																								

$tdatadescription[".ajaxCodeSnippetAdded"] = false;

$tdatadescription[".buttonsAdded"] = false;

$tdatadescription[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadescription[".isUseTimeForSearch"] = false;


$tdatadescription[".badgeColor"] = "778899";


$tdatadescription[".allSearchFields"] = array();
$tdatadescription[".filterFields"] = array();
$tdatadescription[".requiredSearchFields"] = array();

$tdatadescription[".googleLikeFields"] = array();
$tdatadescription[".googleLikeFields"][] = "id";
$tdatadescription[".googleLikeFields"][] = "description";



$tdatadescription[".tableType"] = "list";

$tdatadescription[".printerPageOrientation"] = 0;
$tdatadescription[".nPrinterPageScale"] = 100;

$tdatadescription[".nPrinterSplitRecords"] = 40;

$tdatadescription[".geocodingEnabled"] = false;










$tdatadescription[".pageSize"] = 20;

$tdatadescription[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadescription[".strOrderBy"] = $tstrOrderBy;

$tdatadescription[".orderindexes"] = array();


$tdatadescription[".sqlHead"] = "SELECT id,  	description";
$tdatadescription[".sqlFrom"] = "FROM description";
$tdatadescription[".sqlWhereExpr"] = "";
$tdatadescription[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadescription[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadescription[".arrGroupsPerPage"] = $arrGPP;

$tdatadescription[".highlightSearchResults"] = true;

$tableKeysdescription = array();
$tableKeysdescription[] = "id";
$tdatadescription[".Keys"] = $tableKeysdescription;


$tdatadescription[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "description";
	$fdata["Label"] = GetFieldLabel("description","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadescription["id"] = $fdata;
		$tdatadescription[".searchableFields"][] = "id";
//	description
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "description";
	$fdata["GoodName"] = "description";
	$fdata["ownerTable"] = "description";
	$fdata["Label"] = GetFieldLabel("description","description");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "description";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "description";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadescription["description"] = $fdata;
		$tdatadescription[".searchableFields"][] = "description";


$tables_data["description"]=&$tdatadescription;
$field_labels["description"] = &$fieldLabelsdescription;
$fieldToolTips["description"] = &$fieldToolTipsdescription;
$placeHolders["description"] = &$placeHoldersdescription;
$page_titles["description"] = &$pageTitlesdescription;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["description"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["description"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_description()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	description";
$proto0["m_strFrom"] = "FROM description";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "description",
	"m_srcTableName" => "description"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "description";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "description",
	"m_strTable" => "description",
	"m_srcTableName" => "description"
));

$proto8["m_sql"] = "description";
$proto8["m_srcTableName"] = "description";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "description";
$proto11["m_srcTableName"] = "description";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "description";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "description";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "description";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="description";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_description = createSqlQuery_description();


	
		;

		

$tdatadescription[".sqlquery"] = $queryData_description;



$tableEvents["description"] = new eventsBase;
$tdatadescription[".hasEvents"] = false;

?>